package com.ruoyi.mxjb.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mxjb.mapper.MxjbPaperExamineeMapper;
import com.ruoyi.mxjb.domain.MxjbPaperExaminee;
import com.ruoyi.mxjb.service.IMxjbPaperExamineeService;

/**
 * AI测评人员Service业务层处理
 * 
 * @author mingxue
 * @date 2021-12-25
 */
@Service
public class MxjbPaperExamineeServiceImpl implements IMxjbPaperExamineeService 
{
    @Autowired
    private MxjbPaperExamineeMapper mxjbPaperExamineeMapper;

    /**
     * 查询AI测评人员
     * 
     * @param examineeId AI测评人员ID
     * @return AI测评人员
     */
    @Override
    public MxjbPaperExaminee selectMxjbPaperExamineeById(Long examineeId)
    {
        return mxjbPaperExamineeMapper.selectMxjbPaperExamineeById(examineeId);
    }

    /**
     * 查询AI测评人员列表
     * 
     * @param mxjbPaperExaminee AI测评人员
     * @return AI测评人员
     */
    @Override
    public List<MxjbPaperExaminee> selectMxjbPaperExamineeList(MxjbPaperExaminee mxjbPaperExaminee)
    {
        return mxjbPaperExamineeMapper.selectMxjbPaperExamineeList(mxjbPaperExaminee);
    }

    /**
     * 新增AI测评人员
     * 
     * @param mxjbPaperExaminee AI测评人员
     * @return 结果
     */
    @Override
    public int insertMxjbPaperExaminee(MxjbPaperExaminee mxjbPaperExaminee)
    {
        return mxjbPaperExamineeMapper.insertMxjbPaperExaminee(mxjbPaperExaminee);
    }

    /**
     * 修改AI测评人员
     * 
     * @param mxjbPaperExaminee AI测评人员
     * @return 结果
     */
    @Override
    public int updateMxjbPaperExaminee(MxjbPaperExaminee mxjbPaperExaminee)
    {
        return mxjbPaperExamineeMapper.updateMxjbPaperExaminee(mxjbPaperExaminee);
    }

    /**
     * 批量删除AI测评人员
     * 
     * @param examineeIds 需要删除的AI测评人员ID
     * @return 结果
     */
    @Override
    public int deleteMxjbPaperExamineeByIds(Long[] examineeIds)
    {
        return mxjbPaperExamineeMapper.deleteMxjbPaperExamineeByIds(examineeIds);
    }

    /**
     * 删除AI测评人员信息
     * 
     * @param examineeId AI测评人员ID
     * @return 结果
     */
    @Override
    public int deleteMxjbPaperExamineeById(Long examineeId)
    {
        return mxjbPaperExamineeMapper.deleteMxjbPaperExamineeById(examineeId);
    }
}
